Package uk.co.mccombe.util

# Enum Severity

java.lang.Object
java.lang.Enum<Severity>
uk.co.mccombe.util.Severity

All Implemented Interfaces:
  `Serializable`, `Comparable<Severity>`, `java.lang.constant.Constable`

public enum Severity extends Enum<Severity>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`FATAL`
`SERIOUS`
`SUCCESS`
`WARNING`

## Method Summary

Modifier and Type
Method
Description
`int`
`value()`
`static Severity`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Severity[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final Severity SUCCESS

### WARNING

public static final Severity WARNING

### ERROR

public static final Severity ERROR

### SERIOUS

public static final Severity SERIOUS

### FATAL

public static final Severity FATAL

## Method Details

### values

public static Severity[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Severity valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public int value()